using JetBrains.Annotations;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class resultData<T>
{
    public List<T> data;
}

//http://192.168.124.124:19898/app/v1/game/ts/getTags?type=18&page=1&zygt=hzwz&tgtk=1
public class NetLabelTypeData
{
    public int status;
    public string msg;
    public string sign;
    public resultData<NetLableItem> result;
}
//这是http://192.168.124.124:19898/app/v2/game/ts/tagList?tagId=1&page=1&zygt=hzwz&tgtk=1 返回的数据模型适应类
public class netLabelData
{
    public int status;
    public string msg;
    public string sign;
    public resultData<netLableImageItem> result;
}

[System.Serializable]
public class NetLableItem
{
    public int tagId;//url拼接需要的id
    public int id;//排序的id
    public string tag;//显示名称
    public string name()
    {
        return tag;
    }
}
[System.Serializable]
public class netLableImageItem: System.Object
{
    public string pictureAniAB;
    public string pictureWallThn8;
    public string pictureColorThn4;
    public string seriesName;
    public string hybridType;
    public string enterType;
    public int sort;
    public int type;
    public int extraType;
    public int sid;
    public string highImg;
    public string classId;
    public string originalJson;
    public string displayDate;
    public string id;
    public string pictureWallColorThn8;
    public string pictureThn4;
    public string pictureBin;
    public string extraJson;
    public string file;
    public string getLineUrl()
    {
        return highImg;
    }
    public string getSmallLineUrl()
    {
        return pictureThn4;
    }
    public string getColorUrl()
    {
        return pictureColorThn4;
    }
    public string getJsonUrl()
    {
        return originalJson;
    }
    public string getId()
    {
        return id;
    }
}